Description

Associated revisions

Revision 6926708c - 01/11/2010 03:17 PM - Ohad Levy

fixes #154 - audit log does not store user information

Revision 9925f8cf - 01/11/2010 03:26 PM - Ohad Levy

refs #154 - it should return nil when we are not using authentcation

Revision aee513b8 - 05/27/2010 04:53 PM - Ohad Levy

fixes 154 - audit log does not store user information
Revision ff942a72 - 02/04/2015 08:49 AM - Ewoud Kohl van Wijngaarden
Make foreman integration optional

Instead of including foreman::params, the values are copied. That means
foreman::params no longer needs to be included.

The next use of foreman is in puppet::server::config where it sets up
reporting and ENC. This is wrapped in a new boolean $server_foreman. The
user will still need to take care of clearing $server_reports and
$server_external_nodes.

Fixes #154

History

#1 - 01/12/2010 01:43 AM - Ohad Levy
- Status changed from New to Ready For Testing
- % Done changed from 0 to 100

Applied in changeset 6926708cd677274e3fc2abe28c45a96f172b3177.

#2 - 01/12/2010 01:11 PM - Ohad Levy
- Status changed from Ready For Testing to Closed

#3 - 01/16/2010 02:54 PM - Ohad Levy

- Status changed from Closed to Pending
- Target version deleted (0.1-4)

- % Done changed from 100 to 0

as the acts_as_audited plugin latest version broke a few things, | had to revert it back.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/6926708cd677274e3fc2a6e28c45a96f172b3177

the bug itself is actually within the plugin, I'll try to see if | can find a way around it.

#4 - 05/27/2010 04:55 PM - Ohad Levy
- Status changed from Pending to Assigned

- Target version set to 0.1-5

#5 - 05/27/2010 05:59 PM - Ohad Levy
- Status changed from Assigned to Ready For Testing
- % Done changed from 0 to 100

Applied in changeset aee513b8d9ca86df58ed37efd37251ec8fb0a672.

#6 - 05/27/2010 06:31 PM - Ohad Levy
- Status changed from Ready For Testing to Closed
